org.keycloak.forms.login.freemarker

## Class LoginFormsUtil

- java.lang.Object
- - org.keycloak.forms.login.freemarker.LoginFormsUtil

-     public class LoginFormsUtil
      extends Object

  Various util methods, so the logic is not hardcoded in freemarker beans
  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginFormsUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<IdentityProviderModel>` | `filterIdentityProviders(Stream<IdentityProviderModel> providers, KeycloakSession session, AuthenticationFlowContext context)`
    `static List<IdentityProviderModel>` | `filterIdentityProvidersByUser(List<IdentityProviderModel> providers, KeycloakSession session, RealmModel realm, Map<String,Object> attributes, javax.ws.rs.core.MultivaluedMap<String,String> formData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginFormsUtil

          public LoginFormsUtil()

  - ### Method Detail

    - #### filterIdentityProvidersByUser

          public static List<IdentityProviderModel> filterIdentityProvidersByUser(List<IdentityProviderModel> providers,
                                                                                  KeycloakSession session,
                                                                                  RealmModel realm,
                                                                                  Map<String,Object> attributes,
                                                                                  javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### filterIdentityProviders

          public static List<IdentityProviderModel> filterIdentityProviders(Stream<IdentityProviderModel> providers,
                                                                            KeycloakSession session,
                                                                            AuthenticationFlowContext context)

Copyright © 2020 JBoss by Red Hat. All rights reserved.